title: Package Tags

## Overview

Tags should be added to packages to enable easy identification of different types of mods and games. 

They are only beneficial when applied correctly, so please use the following guidelines.

## Tag Usage

* **Inventory** - For mods that add new inventory systems or new inventory pages.
* **Mapgen** - For mods that add new biomes, new mapgen decorations, or any other mapgen elements.
* **Building** - For mods that focus on adding new materials or nodes to build with.
* **Mobs and NPCs** - For mods that add mobs or NPCs, or provide tools that assist with mob and NPC creation or manipulation.
* **Tools** - For mods that add new tools or new features for existing tools.
* **Player effects** - For mods that change player effects, for example speed, jump height or gravity.
* **Environment** - For mods that add environmental effects, including ambient sound and weather effects.
* **Transport** - For mods that add transportation methods. This includes teleportation, vehicles and ridable mobs.
* **Maintenance** - For mods that assist with world or player maintenance. This includes large-scale map manipulation, area protection and other administrative tools.
* **Plants and farming** - For mods that add new plants or other farmable resources. 
* **Survival** - For mods written specifically for survival games. For example, these mods might focus on game-balance or increase the difficulty level. This tag should also be used for games with a heavy survival focus.
* **Creative** - For mods written specifically (and often exclusively) for use in creative mode. For example, these mods may add a large amount of decorative content, or content without crafting recipes. This tag should also be used for games with a heavy creative focus.
* **PvP** - For games designed to be played competitively against other players.
* **PvE** - For games designed for one or multiple players which focus on combat against mobs or NPCs.
* **Puzzle** - For games with a focus on puzzle solving instead of combat.
* **Multiplayer** - For games that can be played with other players.
* **Singleplayer** - For games that can be played alone.
